Loading...
Searching...
No Matches
L4Re::Rm::F Struct Reference

Rm flags definitions. More...

`#include <rm>`

Collaboration diagram for L4Re::Rm::F:

## Public Types

enum | Attach_flags : l4_uint32_t { Search_addr = 0x20000 , In_area = 0x40000 , Eager_map = 0x80000 , No_eager_map = 0x100000 , Attach_mask = 0x1f0000 }
| Flags for attach operation. More...

enum

Region_flags : l4_uint16_t {
Rights_mask = 0x0f , R = Dataspace::F::R , W = Dataspace::F::W , X = Dataspace::F::X ,
RW = Dataspace::F::RW , RX = Dataspace::F::RX , RWX = Dataspace::F::RWX , Kernel = 0x100 ,
Detach_free = 0x200 , Pager = 0x400 , Reserved = 0x800 , Caching_mask = Dataspace::F::Caching_mask ,
Cache_normal = Dataspace::F::Normal , Cache_buffered = Dataspace::F::Bufferable , Cache_uncached = Dataspace::F::Uncacheable , Ds_map_mask = 0xff ,
Region_flags_mask = 0xffff
}

| Region flags (permissions, cacheability, special). More...

## Detailed Description

Rm flags definitions.

Definition at line 108 of file rm.

## Member Enumeration Documentation

## Attach_flags

enum L4Re::Rm::F::Attach_flags : l4_uint32_t

Flags for attach operation.

Enumerator
Search_addr | Search for a suitable address range.
In_area | Search only in area, or map into area.
Eager_map | Eagerly map the attached data space in.
No_eager_map | Prevent eager mapping of the attached data space.
Attach_mask | Mask of all attach flags.

Definition at line 111 of file rm.

## Region_flags

enum L4Re::Rm::F::Region_flags : l4_uint16_t

Region flags (permissions, cacheability, special).

Enumerator
Rights_mask | Region rights.
R | Readable region.
W | Writable region.
X | Executable region.
RW | Readable and writable region.
RX | Readable and executable region.
RWX | Readable, writable and executable region.
Kernel | Kernel-provided memory (KUMEM).
Detach_free | Free the portion of the data space after detach.
Pager | Region has a pager.
Reserved | Region is reserved (blocked).
Caching_mask | Mask of all Rm cache bits.
Cache_normal | Cache bits for normal cacheable memory. This is the default if no other cache-related flag was specified.
Cache_buffered | Cache bits for buffered (write combining) memory.
Cache_uncached | Cache bits for uncached memory.
Ds_map_mask | Mask for all bits for cache options and rights.
Region_flags_mask | Mask of all region flags.

Definition at line 128 of file rm.

The documentation for this struct was generated from the following file:

- l4/re/rm